Skip to main content

List Access Control V2

This API is used to list access controls for the website acceleration service.

Request

Request-Line

GET /cdn/v1.1/services/{serviceId}/accessControl HTTP/1.1

Request Parameters

Path Parameters

ParameterTypeRequiredDescription
serviceIdIntegerMandatoryThe unique identifier of the website acceleration service.

Response

Response Body

ParameterTypeDescription
ArrayArray of Access Controls object.

Object: Access Control

ParameterTypeDescription
policyIdIntegerPolicy ID number for access control.
policyNameStringPolicy name for access control.
typeStringAccess control type can be allow, deny, or token.
matchesArrayMatching configuration that determines which requests the rule applies to. See Matches for details.
priorityIntegerPriority weight for the rule. Rules with a higher weight take precedence. The weight must be a positive integer.
ipRestrictionStringThe value must be a comma-separated list of IPs or CIDR networks. Only requests from these subnets are allowed. All other requests will be rejected with a 403 Forbidden response.
geoRestrictionStringThe value must be a comma-separated list of geographic locations. Each location must be specified as a 2-letter ISO 3166 code (e.g., CN, GB).
anonymousIpBooleanWhen true, the rule applies to requests from anonymous IPs (e.g., VPNs, proxies). When false, it applies to non-anonymous IPs only, Default is false.
tokenSecretStringThe tokenSecret Field is applicable only when type is token. The value must be a comma-separated list of tokens. Each token must be exactly 64 characters long, and each character must be a digit (0-9) or a lowercase letter (a-z).
enabledBooleanFlag indicating whether the rule is active. Default is true.
Object: Matches
ParameterTypeDescription
ArraySee Match for details.
Object: Match
ParameterTypeDescription
fieldStringWhich part of the request to match. Supported values:
req.path - Request path (excluding query string).
req.query - Request query parameters.
req.method - HTTP method (GET, POST, etc.).
client.ip - Client IP address.
req.host - Request host.
req.header.user-agent - User-Agent header.
req.header.cookie - Cookie header.
req.header.origin - Origin header.
req.header.via - Via header.
operatorStringDefines how to match the field. Supported values:
startswith - Succeeds if the what matches one of the prefixes listed in patterns.
not_startswith - Matches if field value does not starts with any of the specified prefixes.
istartswith - Case-independent version of startswith.
not_istartwith - Matches if the field value does not starts with any of the specified prefixes, ignoring letter case differences.
regex - Succeeds if what matches one of the regexes listed in patterns.
equals - Succeeds if the what matches one of the strings listed in patterns.
not_equals - Succeeds if the field value does not exactly match any of the specified strings.
iequals - Case-independent version of equals.
not_iequals - Succeeds if the field value does not exactly match any of the specified strings,ignoring letter case differences.
endswith - Succeeds if the what ends with one of the strings listed in patterns. Useful e.g. to match file extensions like ".mp4".
not_endswith - Succeeds if the what does not ends with one of the strings listed in patterns.
iendswith - Case-independent version of endswith.
not_iendswith - Succeeds if the what does not ends with one of the strings listed in patterns,ignoring letter case differences.
subnet - Succeeds if the what belongs to one of subnets, specified in patterns, like "1.222.94.98/32".
not_subnet - Succeeds if the what does not belongs to one of subnets.
Note: subnet operator is applicable only to the client.ip match option.
valuesArrayList of values matching the URL path string.

Status Codes, Error Codes and Error Messages

Status CodeError CodeError Message
400InvalidService.IdIncorrectService ID is empty or invalid.
400InvalidCustomer.IdEmptyCustomer ID cannot be empty or invalid.
400InvalidService.IdPermissionService ID cannot be found or unknown.

Examples

List Access Control V2

Request

GET /cdn/v1.1/services/228654/accessControl HTTP/1.1

Successful Response Body

[
{
"policyId": 262157,
"policyName": "array",
"type": "allow",
"matches": [
{
"field": "req.path",
"operator": "startswith",
"values": [
"/"
]
},
{
"field": "req.query",
"operator": "equals",
"values": [
"/1"
]
}
],
"priority": 1,
"enabled": true
},
{
"policyId": 262230,
"policyName": "lunaWhiteList4",
"type": "allow",
"matches": [
{
"field": "req.path",
"operator": "startswith",
"values": [
"/"
]
}
],
"priority": 2,
"enabled": true
}
]